# Interface CompileTester.CleanCompilationClause

All Superinterfaces:
  `CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<CompileTester.CleanCompilationClause>>, CompileTester.CompilationWithNotesClause<CompileTester.CleanCompilationClause>`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.CleanCompilationClause extends CompileTester.CompilationWithNotesClause<CompileTester.CleanCompilationClause>, CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<CompileTester.CleanCompilationClause>>
The clause in the fluent API for further tests on successful compilations without warnings.

Author:
  Gregory Kick

## Method Summary

### Methods inherited from interface CompileTester.ChainingClause

`and`

### Methods inherited from interface CompileTester.CompilationWithNotesClause

`withNoteContaining, withNoteCount`